/*
 * PureIRCd Internet Relay Chat Daemon, include/patchlevel.h
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 1, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __patchlevel_header__
#define __patchlevel_header__

/* these don't go in the version itself, but they're importany anyways */
#define CURRENT 1
#define RELEASE 1
#define STABLE 0
#define BETA 2

#define BRANCHSTATUS BETA

#define BASENAME "PureIRCd0.1"

#define PATCH1 "Beta2"
#define PATCH2 " "
#define PATCH3 "www.PureIRC.Com"
#define PATCH4 ""
#define PATCH5 ""
#define PATCH6 ""
#define PATCH7 ""
#define PATCH8 ""
#define PATCH9 ""

#define PATCHES PATCH1 PATCH2 PATCH3 PATCH4 PATCH5 PATCH6 PATCH7 PATCH8 PATCH9
#define PROTOCTL_CHANTYPES "#&"
#define PROTOCTL_PREFIX	"(qaohv)!*@%+"

void build_protoctl(void);
void build_version(void);
#endif
